Loading...
Searching...
No Matches
Extended character classification

## Macros

#define | SVN_CTYPE_UTF8LEAD 0x0100
| UTF-8 multibyte lead byte.
#define | SVN_CTYPE_UTF8CONT 0x0200
| UTF-8 multibyte non-lead byte.
#define | SVN_CTYPE_UTF8MBC (SVN_CTYPE_UTF8LEAD | SVN_CTYPE_UTF8CONT)
| Part of a UTF-8 multibyte character.
#define | SVN_CTYPE_UTF8 (SVN_CTYPE_ASCII | SVN_CTYPE_UTF8MBC)
| All valid UTF-8 bytes.
#define | svn_ctype_isutf8lead(c)
| Check if c is a UTF-8 multibyte lead byte.
#define | svn_ctype_isutf8cont(c)
| Check if c is a UTF-8 multibyte continuation (non-lead) byte.
#define | svn_ctype_isutf8mbc(c)
| Check if c is part of a UTF-8 multibyte character.
#define | svn_ctype_isutf8(c)
| Check if c is valid in UTF-8.

## Detailed Description

## Macro Definition Documentation

## svn_ctype_isutf8

#define svn_ctype_isutf8 | ( |  | c | ) |

Value:
svn_ctype_test((c), SVN_CTYPE_UTF8)
SVN_CTYPE_UTF8
#define SVN_CTYPE_UTF8
All valid UTF-8 bytes.
Definition svn_ctype.h:135
svn_ctype_test
#define svn_ctype_test(c, flags)
Check if c is in the character class described by flags.
Definition svn_ctype.h:48

Check if c is valid in UTF-8.

Definition at line 147 of file svn_ctype.h.

## svn_ctype_isutf8cont

#define svn_ctype_isutf8cont | ( |  | c | ) |

Value:
svn_ctype_test((c), SVN_CTYLE_UTF8CONT)

Check if c is a UTF-8 multibyte continuation (non-lead) byte.

Definition at line 141 of file svn_ctype.h.

## svn_ctype_isutf8lead

#define svn_ctype_isutf8lead | ( |  | c | ) |

Value:
svn_ctype_test((c), SVN_CTYPE_UTF8LEAD)
SVN_CTYPE_UTF8LEAD
#define SVN_CTYPE_UTF8LEAD
UTF-8 multibyte lead byte.
Definition svn_ctype.h:124

Check if c is a UTF-8 multibyte lead byte.

Definition at line 138 of file svn_ctype.h.

## svn_ctype_isutf8mbc

#define svn_ctype_isutf8mbc | ( |  | c | ) |

Value:
svn_ctype_test((c), SVN_CTYPE_UTF8MBC)
SVN_CTYPE_UTF8MBC
#define SVN_CTYPE_UTF8MBC
Part of a UTF-8 multibyte character.
Definition svn_ctype.h:133

Check if c is part of a UTF-8 multibyte character.

Definition at line 144 of file svn_ctype.h.

## SVN_CTYPE_UTF8

#define SVN_CTYPE_UTF8 (SVN_CTYPE_ASCII | SVN_CTYPE_UTF8MBC)

All valid UTF-8 bytes.

Definition at line 135 of file svn_ctype.h.

## SVN_CTYPE_UTF8CONT

#define SVN_CTYPE_UTF8CONT 0x0200

UTF-8 multibyte non-lead byte.

Definition at line 125 of file svn_ctype.h.

## SVN_CTYPE_UTF8LEAD

#define SVN_CTYPE_UTF8LEAD 0x0100

UTF-8 multibyte lead byte.

Definition at line 124 of file svn_ctype.h.

## SVN_CTYPE_UTF8MBC

#define SVN_CTYPE_UTF8MBC (SVN_CTYPE_UTF8LEAD | SVN_CTYPE_UTF8CONT)

Part of a UTF-8 multibyte character.

Definition at line 133 of file svn_ctype.h.